Problems with Open-Source Downloads read https://www.qt.io/blog/problem-with-open-source-downloads and https://forum.qt.io/post/638946

Support for JP2 images



  • I'm trying to open .jp2 images but the dll seems to be missing from C:\Qt\Qt5.7.0\5.7\mingw53_32\plugins\imageformats.
    According to http://doc.qt.io/qt-5/qtimageformats-index.html the format is supposed to be supported but when I run:

    qDebug() << QImageReader::supportedImageFormats();
    

    I get this:

    ("bmp", "cur", "dds", "gif", "icns", "ico", "jpeg", "jpg", "pbm", "pgm", "png", "ppm", "svg", "svgz", "tga", "tif", "tiff", "wbmp", "webp", "xbm", "xpm")
    

    Everything except JP2 and MNG is in the list. Does anyone why the dll is missing and where I can find it?


  • Moderators

    @Krieger
    the QtImageformats module is a separate module, and not bundled with the official releases
    So you need to build it yourself.



  • @raven-worx
    OK thanks. I think I found the module on Github and downloaded it but there is no explanation how to install and use it. I'm pretty new to all of this and I would appreciate if you could point me in the right direction.


  • Moderators

    @Krieger
    read this first

    Overall easiest would be to compile Qt yourself completely. But this may be too much for some people who just started with Qt.
    Even more pitfalls for an experienced user are present when you just want to compile the missing plugins and use them with an official Qt release. The Qt features should match as good as possible. The Qt main version and compiler must match in order to load the plugin successfully.


Log in to reply